

/*
 * main.c
 *
 *  Created on: Aug 2, 2016
 *      Author: tkl
 */

#include <stdbool.h>

#include "driver.h"
#include "board.h"
#include "stack.h"
#include "queue.h"
#include "kernel.h"
#include "driver.h"
#include "list.h"
#include "shell.h"

void *uname_fct(const char *line)
{
	if(NULL == line)
		return NULL;

	return NULL;
}

static struct command cmd = {
		.command = "uname",
		.command_callback = uname_fct
};

int main(void)
{
	shell_init(&uart_1);
	shell_add_command(&cmd);

	while(1) {
		sleep_ms(1000);
	}

	return 0;
}

